Adjust line item

Adjusts a line item within a line item group. LIG must be ADJUSTABLE. Adjustment can be negative beyond item.amount to serve as a credit. | org_type=[courier, forwarder], min_org_role=operator, authz_personas=[lig_owner_operators] | (AdjustLineItemReq) -> (LineItemGroup1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

line_item_group_idstringRequired

Request

This endpoint expects an object.
line_item_uuid_strstringRequired
UUID of the line item to adjust
adjustmentdoubleRequired

Adjustment amount (can be positive or negative, can exceed item.amount negatively for credits)

adjustment_commentsstring or nullOptional
Comments explaining the adjustment

Response

Successful Response
schema_versioninteger
_idstring
line_itemslist of objects
owned_by_org_idstring

Must be a string starting with org_

payment_vector_typeenum
Allowed values:
settlement_typeenum
Allowed values:
task_group_idstring or null
rate_sheet_idstring or null
line_item_group_s3_object_metadata_idslist of strings or null
statement_idstring or null
payment_origin_org_idstring or null
payment_origin_off_chrt_shipper_org_idstring or null
payment_destination_org_idstring or null
payment_destination_driver_idstring or null
statusenum or null
messageslist of objects or null

Errors